// Padding longhand version
=padding($level, $top: 1, $right: 1, $bottom: 1, $left: 1)
	$size: 		map-get($levels, $level)
	padding: 	($padding_y_child * $size * $top) ($padding_x_child * $size * $right) ($padding_y_child * $size * $bottom) ($padding_x_child * $size * $left)

=responsive($name: 'tablet')
	@media (min-width: #{inspect(map-get($breakpointsFrom, $name))}) and (max-width: #{inspect(map-get($breakpoints, $name))})
		@content

// Gradient
=gradient($from, $to, $width)
	border-left: 								$width solid $from
	border-right: 								$width solid $to
	background-image: 							linear-gradient(left, $from, $to), linear-gradient(left, $from, $to)
	background-image: 							-webkit-linear-gradient(left, $from, $to),-webkit-linear-gradient(left, $from, $to)

	background-size: 							100% $width
	background-position:						0 100%, 0 0
	background-repeat:							no-repeat
	background-clip:							border-box
	border-radius: 2px
	font-weight: 700
	span
		background: 							-webkit-linear-gradient(left, $from, $to)
		-webkit-background-clip:				text
		-webkit-text-fill-color:				transparent
		background: -webkit-linear-gradient(left, $from, $to)
		-webkit-background-clip: text
		-webkit-text-fill-color: transparent


